Bug 727394 - [RFE] cobbler: add an interface to send NMI to system
[RFE] cobbler: add an interface to send NMI to system
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Peck
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-01 22:54 EDT by Jun'ichi NOMURA
Modified: 2012-09-13 10:56 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-26 14:46:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add "system powerdiag" command to cobbler (3.10 KB, patch)
2011-08-01 22:54 EDT, Jun'ichi NOMURA
no flags Details | Diff

  None (edit)
Description Jun'ichi NOMURA 2011-08-01 22:54:43 EDT
Created attachment 516238 [details]
Add "system powerdiag" command to cobbler

1. Feature name
   cobbler: add an interface to send NMI to system

2. Description:
   Some systems have a management interface to send NMI to host,
   that is useful for triggering crash dump on stalled system.
   In the case of IPMI, ipmitool has 'power diag' option to send
   diagnostic NMI. (see ipmitool manpage)
   This request is to add an interface to cobbler to make use of this
   system management feature.

3. Additional information:
   This feature is necessary to solve Beaker feature request BZ#572834.
   (Also maybe useful to implement another feature BZ#572836)

Attached is a patch to allow 'send NMI' operation by
'cobbler system powerdiag' for power_ipmitool.template.
The word "powerdiag" comes from ipmitool and can be changed
if better word exists.
Comment 1 Bill Peck 2012-03-26 14:46:50 EDT
We are dropping cobbler from beaker.  This functionality will be supported under native provisioning.

Note You need to log in before you can comment on or make changes to this bug.